/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package TestRest;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

/**
 *
 * @author aparnab
 */
@Entity
@Table(name = "ARRIVAL")
@NamedQueries({@NamedQuery(name = "Arrival.findAll", query = "SELECT a FROM Arrival a"),
@NamedQuery(name = "Arrival.findByArid", query = "SELECT a FROM Arrival a WHERE a.arid = :arid"),
@NamedQuery(name = "Arrival.findByCommid", query = "SELECT a FROM Arrival a WHERE a.commid = :commid"),
@NamedQuery(name = "Arrival.findByDatetime", query = "SELECT a FROM Arrival a WHERE a.datetime = :datetime"),
@NamedQuery(name = "Arrival.findBySta", query = "SELECT a FROM Arrival a WHERE a.sta = :sta"),
@NamedQuery(name = "Arrival.findByNet", query = "SELECT a FROM Arrival a WHERE a.net = :net"),
@NamedQuery(name = "Arrival.findByAuth", query = "SELECT a FROM Arrival a WHERE a.auth = :auth"),
@NamedQuery(name = "Arrival.findBySubsource", query = "SELECT a FROM Arrival a WHERE a.subsource = :subsource"),
@NamedQuery(name = "Arrival.findByChannel", query = "SELECT a FROM Arrival a WHERE a.channel = :channel"),
@NamedQuery(name = "Arrival.findByChannelsrc", query = "SELECT a FROM Arrival a WHERE a.channelsrc = :channelsrc"),
@NamedQuery(name = "Arrival.findBySeedchan", query = "SELECT a FROM Arrival a WHERE a.seedchan = :seedchan"),
@NamedQuery(name = "Arrival.findByLocation", query = "SELECT a FROM Arrival a WHERE a.location = :location"),
@NamedQuery(name = "Arrival.findByIphase", query = "SELECT a FROM Arrival a WHERE a.iphase = :iphase"),
@NamedQuery(name = "Arrival.findByQual", query = "SELECT a FROM Arrival a WHERE a.qual = :qual"),
@NamedQuery(name = "Arrival.findByClockqual", query = "SELECT a FROM Arrival a WHERE a.clockqual = :clockqual"),
@NamedQuery(name = "Arrival.findByClockcorr", query = "SELECT a FROM Arrival a WHERE a.clockcorr = :clockcorr"),
@NamedQuery(name = "Arrival.findByCcset", query = "SELECT a FROM Arrival a WHERE a.ccset = :ccset"),
@NamedQuery(name = "Arrival.findByFm", query = "SELECT a FROM Arrival a WHERE a.fm = :fm"),
@NamedQuery(name = "Arrival.findByEma", query = "SELECT a FROM Arrival a WHERE a.ema = :ema"),
@NamedQuery(name = "Arrival.findByAzimuth", query = "SELECT a FROM Arrival a WHERE a.azimuth = :azimuth"),
@NamedQuery(name = "Arrival.findBySlow", query = "SELECT a FROM Arrival a WHERE a.slow = :slow"),
@NamedQuery(name = "Arrival.findByDeltim", query = "SELECT a FROM Arrival a WHERE a.deltim = :deltim"),
@NamedQuery(name = "Arrival.findByDelinc", query = "SELECT a FROM Arrival a WHERE a.delinc = :delinc"),
@NamedQuery(name = "Arrival.findByDelaz", query = "SELECT a FROM Arrival a WHERE a.delaz = :delaz"),
@NamedQuery(name = "Arrival.findByDelslo", query = "SELECT a FROM Arrival a WHERE a.delslo = :delslo"),
@NamedQuery(name = "Arrival.findByQuality", query = "SELECT a FROM Arrival a WHERE a.quality = :quality"),
@NamedQuery(name = "Arrival.findBySnr", query = "SELECT a FROM Arrival a WHERE a.snr = :snr"),
@NamedQuery(name = "Arrival.findByRflag", query = "SELECT a FROM Arrival a WHERE a.rflag = :rflag"),
@NamedQuery(name = "Arrival.findByLddate", query = "SELECT a FROM Arrival a WHERE a.lddate = :lddate")})
public class Arrival implements Serializable {
    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @Column(name = "ARID")
    private Long arid;
    @Column(name = "COMMID")
    private Long commid;
    @Basic(optional = false)
    @Column(name = "DATETIME")
    private BigDecimal datetime;
    @Basic(optional = false)
    @Column(name = "STA")
    private String sta;
    @Column(name = "NET")
    private String net;
    @Column(name = "AUTH")
    private String auth;
    @Column(name = "SUBSOURCE")
    private String subsource;
    @Column(name = "CHANNEL")
    private String channel;
    @Column(name = "CHANNELSRC")
    private String channelsrc;
    @Column(name = "SEEDCHAN")
    private String seedchan;
    @Column(name = "LOCATION")
    private String location;
    @Column(name = "IPHASE")
    private String iphase;
    @Column(name = "QUAL")
    private String qual;
    @Column(name = "CLOCKQUAL")
    private String clockqual;
    @Column(name = "CLOCKCORR")
    private Long clockcorr;
    @Column(name = "CCSET")
    private String ccset;
    @Column(name = "FM")
    private String fm;
    @Column(name = "EMA")
    private BigDecimal ema;
    @Column(name = "AZIMUTH")
    private BigDecimal azimuth;
    @Column(name = "SLOW")
    private BigDecimal slow;
    @Column(name = "DELTIM")
    private BigDecimal deltim;
    @Column(name = "DELINC")
    private BigDecimal delinc;
    @Column(name = "DELAZ")
    private BigDecimal delaz;
    @Column(name = "DELSLO")
    private BigDecimal delslo;
    @Column(name = "QUALITY")
    private BigDecimal quality;
    @Column(name = "SNR")
    private Double snr;
    @Column(name = "RFLAG")
    private String rflag;
    @Column(name = "LDDATE")
    @Temporal(TemporalType.DATE)
    private Date lddate;

    public Arrival() {
    }

    public Arrival(Long arid) {
        this.arid = arid;
    }

    public Arrival(Long arid, BigDecimal datetime, String sta) {
        this.arid = arid;
        this.datetime = datetime;
        this.sta = sta;
    }

    public Long getArid() {
        return arid;
    }

    public void setArid(Long arid) {
        this.arid = arid;
    }

    public Long getCommid() {
        return commid;
    }

    public void setCommid(Long commid) {
        this.commid = commid;
    }

    public BigDecimal getDatetime() {
        return datetime;
    }

    public void setDatetime(BigDecimal datetime) {
        this.datetime = datetime;
    }

    public String getSta() {
        return sta;
    }

    public void setSta(String sta) {
        this.sta = sta;
    }

    public String getNet() {
        return net;
    }

    public void setNet(String net) {
        this.net = net;
    }

    public String getAuth() {
        return auth;
    }

    public void setAuth(String auth) {
        this.auth = auth;
    }

    public String getSubsource() {
        return subsource;
    }

    public void setSubsource(String subsource) {
        this.subsource = subsource;
    }

    public String getChannel() {
        return channel;
    }

    public void setChannel(String channel) {
        this.channel = channel;
    }

    public String getChannelsrc() {
        return channelsrc;
    }

    public void setChannelsrc(String channelsrc) {
        this.channelsrc = channelsrc;
    }

    public String getSeedchan() {
        return seedchan;
    }

    public void setSeedchan(String seedchan) {
        this.seedchan = seedchan;
    }

    public String getLocation() {
        return location;
    }

    public void setLocation(String location) {
        this.location = location;
    }

    public String getIphase() {
        return iphase;
    }

    public void setIphase(String iphase) {
        this.iphase = iphase;
    }

    public String getQual() {
        return qual;
    }

    public void setQual(String qual) {
        this.qual = qual;
    }

    public String getClockqual() {
        return clockqual;
    }

    public void setClockqual(String clockqual) {
        this.clockqual = clockqual;
    }

    public Long getClockcorr() {
        return clockcorr;
    }

    public void setClockcorr(Long clockcorr) {
        this.clockcorr = clockcorr;
    }

    public String getCcset() {
        return ccset;
    }

    public void setCcset(String ccset) {
        this.ccset = ccset;
    }

    public String getFm() {
        return fm;
    }

    public void setFm(String fm) {
        this.fm = fm;
    }

    public BigDecimal getEma() {
        return ema;
    }

    public void setEma(BigDecimal ema) {
        this.ema = ema;
    }

    public BigDecimal getAzimuth() {
        return azimuth;
    }

    public void setAzimuth(BigDecimal azimuth) {
        this.azimuth = azimuth;
    }

    public BigDecimal getSlow() {
        return slow;
    }

    public void setSlow(BigDecimal slow) {
        this.slow = slow;
    }

    public BigDecimal getDeltim() {
        return deltim;
    }

    public void setDeltim(BigDecimal deltim) {
        this.deltim = deltim;
    }

    public BigDecimal getDelinc() {
        return delinc;
    }

    public void setDelinc(BigDecimal delinc) {
        this.delinc = delinc;
    }

    public BigDecimal getDelaz() {
        return delaz;
    }

    public void setDelaz(BigDecimal delaz) {
        this.delaz = delaz;
    }

    public BigDecimal getDelslo() {
        return delslo;
    }

    public void setDelslo(BigDecimal delslo) {
        this.delslo = delslo;
    }

    public BigDecimal getQuality() {
        return quality;
    }

    public void setQuality(BigDecimal quality) {
        this.quality = quality;
    }

    public Double getSnr() {
        return snr;
    }

    public void setSnr(Double snr) {
        this.snr = snr;
    }

    public String getRflag() {
        return rflag;
    }

    public void setRflag(String rflag) {
        this.rflag = rflag;
    }

    public Date getLddate() {
        return lddate;
    }

    public void setLddate(Date lddate) {
        this.lddate = lddate;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (arid != null ? arid.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof Arrival)) {
            return false;
        }
        Arrival other = (Arrival) object;
        if ((this.arid == null && other.arid != null) || (this.arid != null && !this.arid.equals(other.arid))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "TestRest.Arrival[arid=" + arid + "]";
    }

}
